<?php
/*
携帯用モジュール その2 (要 Ktai Style)

=その2=
 * チェックボックスの値がちゃんと取得できなかったのを修正した

=その1=
 * とりあえず対応してみた

*/

function wpcf7_ktai_validation_filter( $result, $tag ) {
	global $wpcf7_contact_form;

	$type = $tag['type'];
	$name = $tag['name'];

	if (function_exists('is_ktai') && is_ktai()) {

		global $Ktai_Style;

		if (preg_match('/^(?:text|textarea|select|radio)[*]?$/', $type)) {
			$_POST[$name] = mb_convert_encoding($_POST[$name], get_bloginfo('charset'), $Ktai_Style->get('charset'));
		}

		if (preg_match('/^(?:checkbox)[*]?$/', $type)) {
			if (is_array($_POST[$name])) {
				foreach ($_POST[$name] as $key => $value) {
					$_POST[$name][$key] = mb_convert_encoding($_POST[$name][$key], get_bloginfo('charset'), $Ktai_Style->get('charset'));
				}
			}
		}

	}

	return $result;
}

add_filter( 'wpcf7_validate_text', 'wpcf7_ktai_validation_filter', 10, 2 );
add_filter( 'wpcf7_validate_text*', 'wpcf7_ktai_validation_filter', 10, 2 );
add_filter( 'wpcf7_validate_textarea', 'wpcf7_ktai_validation_filter', 10, 2 );
add_filter( 'wpcf7_validate_textarea*', 'wpcf7_ktai_validation_filter', 10, 2 );
add_filter( 'wpcf7_validate_select', 'wpcf7_ktai_validation_filter', 10, 2 );
add_filter( 'wpcf7_validate_select*', 'wpcf7_ktai_validation_filter', 10, 2 );
add_filter( 'wpcf7_validate_radio', 'wpcf7_ktai_validation_filter', 10, 2 );
add_filter( 'wpcf7_validate_checkbox', 'wpcf7_ktai_validation_filter', 10, 2 );
add_filter( 'wpcf7_validate_checkbox*', 'wpcf7_ktai_validation_filter', 10, 2 );

?>